groovy.json

## Class DateFormatThreadLocal

- java.lang.Object
- - java.lang.ThreadLocal<SimpleDateFormat>
  - - groovy.json.DateFormatThreadLocal

-     public class DateFormatThreadLocal
      extends ThreadLocal<SimpleDateFormat>

  Custom thread local holding a `SimpleDateFormat`, so that the `JsonOutput` class used by `JsonBuilder` can be thread-safe when outputting dates and calendars.
  Author:
    Guillaume Laforge

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateFormatThreadLocal()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SimpleDateFormat` | `initialValue()`

    - ### Methods inherited from class java.lang.ThreadLocal

      `get, remove, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateFormatThreadLocal

          public DateFormatThreadLocal()

  - ### Method Detail

    - #### initialValue

          protected SimpleDateFormat initialValue()

      Overrides:
        `initialValue` in class `ThreadLocal<SimpleDateFormat>`